#!/bin/bash

# Определение типа пользователя, под кем запускается установка
case "`uname`" in
	Darwin*)
	case "`id -un`" in
		root)
		;;
		*)
		echo Sorry, you must have administrative priviledges to install this software.
		exit 1
		;;
	esac
	;;
	*)
	case "`id`" in
		uid=0*)
		;;
		*)
		echo Sorry, you must be root to install this software.
		exit 1
		;;
	esac
	;;
esac

PATH=/usr/xpg4/bin:/bin:/usr/bin:/usr/ucb:${PATH}
WORKDIR=$(cd "$(dirname "$0")"; pwd)

PACKAGE_KUMD=katusha-mfp-driver-universal-amd64

title="(notice) выберите из списка пакет, который хотите деинсталлировать:"
prompt="(action) выберите требуемое действие:"
options=("Список установленных устройств печати" #1
					"katusha MFP Driver Universal" #2
					"Katusha MFP Driver for M247 Series" #3
					"Katusha MFP Driver for M348 Series" #4
         )
echo
echo +++++++++++++++++++++++++++++++++
echo Build Date: 19.09.2024\ / Katusha
echo Version: 2.0-1-untested
echo +++++++++++++++++++++++
echo
echo "$title"
PS3="$prompt "
COLUMNS=12
select opt in "${options[@]}" "Отменить"; do
    case "$REPLY" in
    1) echo "Установленные в системе устройства печати Katusha: ";
    echo
		if [[ -f /etc/os-release ]]; then
			if [[ $(cat /etc/os-release | egrep -c "Astra|SparkyLinux") -ge 1 ]]; then
				sudo dpkg -l | grep katusha- | awk '{print $2}'
			fi
		fi
    echo
    break;;
		2) echo "Вы выбрали удаление [$opt]";
		if [[ -f /etc/os-release ]]; then
			if [[ $(cat /etc/os-release | egrep -c "Astra|SparkyLinux") -ge 1 ]]; then
				sudo dpkg --purge $PACKAGE_KUMD
			fi
		fi
		break;;
		3) echo "Вы выбрали удаление [$opt]";
		sudo bash $WORKDIR/katusha_m247.remove
		break;;
		4) echo "Вы выбрали удаление [$opt]";
		sudo bash $WORKDIR/katusha_m348.remove
		break;;
    $((${#options[@]}+1))) echo "Операция была отменена";
		break;;
    *) echo "Неправильный ввод. Вы ошиблись. Повторите.";continue;;
    esac
done
